/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.game;

import org.hedgecode.chess.position.Color;
import org.hedgecode.chess.position.Square;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public abstract class AbstractMove implements Move {

    Color color;
    Square from, to;

    protected AbstractMove(Color color, Square from, Square  to) {
        this.color = color;
        this.from = from;
        this.to = to;
    }

    @Override
    public Color color() {
        return color;
    }

    @Override
    public Square from() {
        return from;
    }

    @Override
    public Square to() {
        return to;
    }

}
