/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.domain;

import java.util.Date;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface AuthorAdapter<TargetType> extends Adapter<TargetType> {

    void setId(TargetType target, Long id);
    void setName(TargetType target, String name);
    void setBirthdate(TargetType target, Date birthdate);
    void setDeathdate(TargetType target, Date deathdate);
    void setBiography(TargetType target, String biography);
    void setComment(TargetType target, String comment);

    abstract class Empty<TargetType> implements AuthorAdapter<TargetType> {

        @Override
        public void setId(TargetType target, Long id) {
        }

        @Override
        public void setName(TargetType target, String name) {
        }

        @Override
        public void setBirthdate(TargetType target, Date birthdate) {
        }

        @Override
        public void setDeathdate(TargetType target, Date deathdate) {
        }

        @Override
        public void setBiography(TargetType target, String biography) {
        }

        @Override
        public void setComment(TargetType target, String comment) {
        }
    }

}
