/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.dto;

import java.util.Date;

import org.hedgecode.chess.domain.AuthorAdapter;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public class AuthorDTOAdapter implements AuthorAdapter<AuthorDTO> {

    @Override
    public Class<AuthorDTO> getTargetClass() {
        return AuthorDTO.class;
    }

    @Override
    public void setId(AuthorDTO target, Long id) {
        target.setId(id);
    }

    @Override
    public void setName(AuthorDTO target, String name) {
        target.setName(name);
    }

    @Override
    public void setBirthdate(AuthorDTO target, Date birthdate) {
        target.setBirthdate(birthdate);
    }

    @Override
    public void setDeathdate(AuthorDTO target, Date deathdate) {
        target.setDeathdate(deathdate);
    }

    @Override
    public void setBiography(AuthorDTO target, String biography) {
        target.setBiography(biography);
    }

    @Override
    public void setComment(AuthorDTO target, String comment) {
        target.setComment(comment);
    }

}
