/*
 * Copyright (c) 2018-2019. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.img;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.InputStream;
import java.net.URL;

/**
 * Common image shaper interface.
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface ImageShaper {

    BufferedImage shape(InputStream imageStream, int size) throws ImageException;

    BufferedImage shape(URL imageUrl, int size) throws ImageException;

    BufferedImage shape(File imageFile, int size) throws ImageException;

}
